<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewColumn2ToJobResultsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('job_results', function (Blueprint $table) {
            $table->string('request_signature')->after('job_id')->nullable();
            $table->string('result_signature')->after('request_signature')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('job_results', function (Blueprint $table) {
            $table->dropColumn('request_signature');
            $table->dropColumn('result_signature');
        });
    }
}
